xmonad-contrib-0.18.1: Community-maintained extensions for xmonad

Copyright | (c) 2007 Valery V. Vorotyntsev
License | BSD3-style (see LICENSE)
Maintainer | Valery V. Vorotyntsev <valery.vv@gmail.com>
Portability | non-portable (uses "manpath" and "bash")
Safe Haskell | None
Language | Haskell2010

XMonad.Prompt.Man

Contents

- Usage

Description

A manual page prompt for XMonad window manager.

TODO

- narrow completions by section number, if the one is specified (like `/etc/bash_completion` does)

Synopsis

- manPrompt :: XPConfig -> X ()
- getCommandOutput :: String -> IO String
- data Man

# Usage

1. In your `xmonad.hs`:

    import XMonad.Prompt
    import XMonad.Prompt.Man

1. In your keybindings add something like:

        , ((modm, xK_F1), manPrompt def)

For detailed instruction on editing the key binding see the tutorial.

manPrompt :: XPConfig -> X () #

Query for manual page to be displayed.

getCommandOutput :: String -> IO String #

Run a command using shell and return its output.

XXX Merge into XMonad.Util.Run?

(Ask "gurus" whether `evaluate (length ...)` approach is better/more idiomatic.)

data Man #

#### Instances

Instances details

XPrompt Man # |
Instance details Defined in XMonad.Prompt.Man Methods showXPrompt :: Man -> String # nextCompletion :: Man -> String -> [String] -> String # commandToComplete :: Man -> String -> String # completionToCommand :: Man -> String -> String # completionFunction :: Man -> ComplFunction # modeAction :: Man -> String -> String -> X () #